Update a customer
curl --request PUT \
--url https://api.sandbox.busha.so/v1/customers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "John",
"last_name": "John",
"phone": "+2348012345678",
"birth_date": "24-12-2000",
"identifying_information": [
{
"number": "<string>",
"country": "NG",
"expiry_date": "2023-12-25",
"image_front": "aSDinaTvuI8gbWludGxpZnk=",
"image_back": "aSDinaTvuI8gbWludGxpZnk="
}
],
"documents": [
{
"purposes": [],
"file": "<string>"
}
],
"middle_name": "Smith"
}
'import requests
url = "https://api.sandbox.busha.so/v1/customers/{id}"
payload = {
"first_name": "John",
"last_name": "John",
"phone": "+2348012345678",
"birth_date": "24-12-2000",
"identifying_information": [
{
"number": "<string>",
"country": "NG",
"expiry_date": "2023-12-25",
"image_front": "aSDinaTvuI8gbWludGxpZnk=",
"image_back": "aSDinaTvuI8gbWludGxpZnk="
}
],
"documents": [
{
"purposes": [],
"file": "<string>"
}
],
"middle_name": "Smith"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'John',
last_name: 'John',
phone: '+2348012345678',
birth_date: '24-12-2000',
identifying_information: [
{
number: '<string>',
country: 'NG',
expiry_date: '2023-12-25',
image_front: 'aSDinaTvuI8gbWludGxpZnk=',
image_back: 'aSDinaTvuI8gbWludGxpZnk='
}
],
documents: [{purposes: [], file: '<string>'}],
middle_name: 'Smith'
})
};
fetch('https://api.sandbox.busha.so/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "message for success",
"data": {
"first_name": "John",
"last_name": "John",
"id": "bus_123456789",
"business_id": "bus_123456789",
"email": "bCnW7@example.com",
"country_id": "NG",
"phone": "+2348012345678",
"address": {
"country_id": "NG",
"address_line_1": "RT Lawal",
"city": "Lekki",
"state": "Lagos",
"county": "Mombasa",
"address_line_2": "",
"province": "province",
"postal_code": "12345"
},
"display_currency": "BTC",
"deposit": true,
"payout": true,
"has_accepted_terms_of_service": true,
"level": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"middle_name": "Smith",
"rejection_reasons": [
"<string>"
],
"requirements_due": [
"<string>"
],
"future_requirements_due": [
"<string>"
],
"beneficial_owners": [
{
"id": "<string>",
"email": "bCnW7@example.com"
}
]
}
}
Customers
Update a customer
Update the details of an existing customer
PUT
/
v1
/
customers
/
{id}
Update a customer
Authorizations
Bearer Authentication
Headers
User profile header
Example:
"BUS_YOK8tp5Zga01qOKEsqp07"
Path Parameters
Example:
"bus_123456789"
Body
application/json
Customer details to be updated
- Option 1
- Option 2
Individual name requirements
A valid name
Example:
"John"
A valid name
Example:
"John"
A valid phone number. format {{calling_code}}{{number}}
Example:
"+2348012345678"
date of birth of the user
Example:
"24-12-2000"
Address of the business.
Show child attributes
Show child attributes
List of identification documents provided by the customer
Maximum array length:
5Show child attributes
Show child attributes
Additional supporting documents provided by the customer
Maximum array length:
10Show child attributes
Show child attributes
A field representing a name that can be null or absent.
Example:
"Smith"
⌘I